---
title: Delete DMC Store Global Rate
slug: api-documentation/delete-dmc-store-global-rate
docTags: 
createdAt: 2026-08-27T16:55:41.659Z
---

{
  "id": "Cc7dEyuTMPYhGUHPFq0YD",
  "type": "api-oas-v2",
  "data": {
    "method": "DELETE",
    "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate"
      }
    ],
    "name": "Delete DMC Store Global Rate",
    "description": "<p>The endpoint manages the Delete operation on DMC Store Global Rate.</p>\n<p>Authorized permissions:</p>\n<ul>\n<li><code>dmc-shipping-calc.delete</code></li>\n</ul>\n<p>Authorized roles:</p>\n<ul>\n<li>service.operator</li>\n<li>operator.default</li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        },
        {
          "kind": "optional",
          "name": "x-upstart-site",
          "type": "string",
          "description": "Unique identifier for the site."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "OK",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "401",
        "description": "Unauthorized",
        "jsonExample": "",
        "isExpanded": true
      },
      {
        "statusCode": "404",
        "description": "Not Found",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "5ELBl4dBOCu7NSD3o2gbo",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request DELETE \\\n     --url https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "aERBwqUxA1OAEcSQC4qHR",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'DELETE',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "Tm3AZzMY4Hb5olBpjajBN",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Delete.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "CYxhSEWeakPXriZv6EDgy",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/dmcshippingcalc/dmc-store-global-rate\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"DELETE\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "5ELBl4dBOCu7NSD3o2gbo"
    },
    "results": {
      "languages": [
        {
          "id": "v2aewYNMBC4pT5Ipk08Cy",
          "language": "200",
          "code": "// OK\n"
        },
        {
          "id": "CsmT9tj1aS9l94JBGl9Eu",
          "language": "401",
          "code": "// Unauthorized\n"
        },
        {
          "id": "b2o9QTkrbbjaNXpbrMwr2",
          "language": "404",
          "code": "// Not Found\n"
        }
      ],
      "selectedLanguageId": "v2aewYNMBC4pT5Ipk08Cy"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}